From e6d5021522cb675897afdf627f7cc25b3fea471e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:18 +0000
Subject: [PATCH 452/2232] Fix expansion of Rust Vec in extern signatures


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index e3ab530..cda77db 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -746,7 +746,10 @@ fn expand_extern_type(ty: &Type) -> TokenStream {
             let inner = expand_extern_type(&ty.inner);
             quote!(*mut #inner)
         }
-        Type::RustVec(ty) => quote!(::cxx::private::RustVec<#ty>),
+        Type::RustVec(ty) => {
+            let elem = expand_extern_type(&ty.inner);
+            quote!(::cxx::private::RustVec<#elem>)
+        }
         Type::Ref(ty) => match &ty.inner {
             Type::Ident(ident) if ident == RustString => quote!(&::cxx::private::RustString),
             Type::RustVec(ty) => {

